<template>
  <div v-if="!isPreview" class="c-add-role">
    <button type="button" class="c-add-role__button" @click="clicked">
      <i class="icon icon--plus" />
      {{ text }}
    </button>
  </div>
</template>

<script>
import { isPreviewMixin } from "../../mixins/isPreview";

export default {
  name: "FormAddRole",
  mixins: [isPreviewMixin],
  props: {
    text: {
      type: String,
      required: true
    }
  },
  methods: {
    clicked() {
      this.$emit("clicked");
    }
  }
};
</script>

<style lang="scss">
.c-add-role {
  display: flex;
  justify-content: center;
  margin-bottom: 1rem;

  &__button {
    display: flex;
    align-items: center;
    font-size: 1.8rem;
    line-height: 2.7rem;
    font-weight: $fw-medium;
    color: $c-brand-primary;
  }

  .icon {
    font-size: 1rem;
    margin-right: 1rem;
  }
}
</style>
